| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
TrafficTypesList Class Reference

Tree view widget that presents a filterable, sortable, checkable list of traffic-tap protocols and forwards selection changes to interested parties. More...

`#include <traffic_types_list.h>`

Inheritance diagram for TrafficTypesList:

## Public Slots
void | selectProtocols (QList< int > protocols)
| Checks the given protocol IDs and unchecks all others.
void | filterList (QString filter)
| Applies a name filter to the visible protocol list.

## Signals
void | protocolsChanged (QList< int > protocols)
| Emitted when the set of checked protocols changes.
void | clearFilterList ()
| Emitted to request that any external filter input be cleared.

## Public Member Functions
| TrafficTypesList (QWidget *parent=nullptr)
| Constructs the TrafficTypesList view.
void | setProtocolInfo (QString name, GList **recentList)
| Initialises the underlying model with the given protocol group name and recent-list pointer, then resets the view.
QList< int > | protocols (bool onlySelected=false) const
| Returns the list of protocol IDs tracked by this view.

## Detailed Description

Tree view widget that presents a filterable, sortable, checkable list of traffic-tap protocols and forwards selection changes to interested parties.

## Constructor & Destructor Documentation

## ◆ TrafficTypesList()

TrafficTypesList::TrafficTypesList | ( | QWidget * | parent = nullptr | ) |

Constructs the TrafficTypesList view.

Parameters

  parent | Optional parent widget.

## Member Function Documentation

## ◆ filterList

void TrafficTypesList::filterList | ( | QString | filter | ) |
| slot

Applies a name filter to the visible protocol list.

Parameters

  filter | Filter string; empty string shows all protocols.

## ◆ protocols()

QList< int > TrafficTypesList::protocols | ( | bool | onlySelected = false | ) | const

Returns the list of protocol IDs tracked by this view.

Parameters

  onlySelected | `true` to return only checked (selected) protocol IDs; `false` to return all protocol IDs.

Returns
  List of protocol IDs.

## ◆ protocolsChanged

void TrafficTypesList::protocolsChanged | ( | QList< int > | protocols | ) |
| signal

Emitted when the set of checked protocols changes.

Parameters

  protocols | Updated list of selected protocol IDs.

## ◆ selectProtocols

void TrafficTypesList::selectProtocols | ( | QList< int > | protocols | ) |
| slot

Checks the given protocol IDs and unchecks all others.

Parameters

  protocols | List of protocol IDs to select.

## ◆ setProtocolInfo()

void TrafficTypesList::setProtocolInfo | ( | QString | name,
|  | GList ** | recentList )

Initialises the underlying model with the given protocol group name and recent-list pointer, then resets the view.

Parameters

  name | Display name for this group of protocols (e.g. "Conversations").
  recentList | Pointer to the recent-protocols GList for the group.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/traffic_types_list.h
- /builds/wireshark/wireshark/ui/qt/widgets/traffic_types_list.cpp